## libkgapi 2.1.0

=== CMakeLists.txt ===
project(libkgapi)

set(KGAPI_VERSION_MAJOR 2)
set(KGAPI_VERSION_MINOR 1)
set(KGAPI_VERSION_RELEASE 0)
set(KGAPI_VERSION "${KGAPI_VERSION_MAJOR}.${KGAPI_VERSION_MINOR}.${KGAPI_VERSION_RELEASE}")

cmake_minimum_required(VERSION 2.8)

include(GenerateExportHeader)

find_package(Qt4 4.7.0 REQUIRED QtCore QtWebKit QtNetwork QtXML QtTest)
find_package(KDE4 4.6.0 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

find_package(KdepimLibs 4.11.40 REQUIRED)

find_package(QJSON REQUIRED)
set_package_properties(QJSON PROPERTIES DESCRIPTION "Qt library for handling JSON data" URL "http://qjson.sourceforge.net/" TYPE REQUIRED PURPOSE "JSON response/request support")

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_NO_KEYWORDS -DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CAST_TO_ASCII)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${QT_INCLUDE_DIR}
    ${CMAKE_BINARY_DIR}
    ${KDEPIMLIBS_INCLUDE_DIRS}
    ${KDE4_INCLUDES}
    ${QJSON_INCLUDE_DIR}
    ${Boost_INCLUDE_DIR}
)


add_subdirectory(libkgapi2)

option(KGAPI_BUILD_EXAMPLES "Build example applications" FALSE)
if (KGAPI_BUILD_EXAMPLES)
    add_subdirectory(examples)
endif(KGAPI_BUILD_EXAMPLES)

# FIXME: Port tests to LibKGAPI2
#add_subdirectory(tests)

=== examples/CMakeLists.txt ===
add_subdirectory(contacts)
add_subdirectory(staticmaps)

=== tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_SOURCE_DIR}/libkgapi)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

MACRO(LIBKGAPI_TESTS)
       FOREACH(_testname ${ARGN})
               kde4_add_unit_test(${_testname} TESTNAME libkgapi-${_testname} ${_testname}.cpp)
               target_link_libraries(${_testname}
                                     ${QT_QTTEST_LIBRARY}
                                     ${KDEPIMLIBS_KABC_LIBS}
                                     ${KDEPIMLIBS_KMIME_LIBS}
                                     ${KDEPIMLIBS_KCALCORE_LIBS}
                                     ${qjson_LIBRARIES}        # for Debian
                                     ${QJSON_LIBRARY}          # for Mac OSX
                                     ${QJSON_LIBRARIES}
                                     ${KDE4_KIO_LIBS}
                                     ${KDE4_KDEUI_LIBS}
                                     kgapi)
       ENDFOREACH(_testname)
ENDMACRO(LIBKGAPI_TESTS)

LIBKGAPI_TESTS(
    objectsaccountinfotests
    objectscalendartests
    objectscontacttests
    objectscontactsgrouptests
    objectseventtests
    objectstasktests
    objectstasklisttests
    objectslocationtests
    objectstaticmapurltests
    servicesaccountinfotests
    servicescalendartests
    servicescontactstests
    serviceslatitudetests
    servicestaskstests
)

=== examples/contacts/CMakeLists.txt ===
project(contacts-example)

find_package(KDE4 REQUIRED)
find_package(KdepimLibs REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${KDE4_INCLUDES})

set(contacts_example_SRCS main.cpp mainwindow.cpp)
set(contacts_example_HDRS mainwindow.h)
kde4_add_ui_files(contacts_example_SRCS ui/main.ui)

qt4_wrap_cpp(contacts_example_HDRS_MOC ${contacts_example_HDRS})

add_executable(contacts-example
        ${contacts_example_SRCS}
        ${contacts_example_HDRS_MOC}
)

target_link_libraries(contacts-example
        ${QT_QTCORE_LIBRARY}
        ${KDE4_KDECORE_LIBS}
        ${KDEPIMLIBS_KABC_LIBS}
        kgapi2
)

add_dependencies(contacts-example kgapi2)

=== examples/staticmaps/CMakeLists.txt ===
project(staticmaps-example)

find_package(KDE4 REQUIRED)
find_package(KdepimLibs REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${KDE4_INCLUDES})

set(staticmaps_example_SRCS main.cpp mainwindow.cpp)
set(staticmaps_example_HDRS mainwindow.h)
kde4_add_ui_files(staticmaps_example_SRCS ui/main.ui)

qt4_wrap_cpp(staticmaps_example_HDRS_MOC ${staticmaps_example_HDRS})

add_executable(staticmaps-example
        ${staticmaps_example_SRCS}
        ${staticmaps_example_HDRS_MOC}
)

target_link_libraries(staticmaps-example
        ${QT_QTCORE_LIBRARY}
        ${KDE4_KDECORE_LIBS}
        ${KDEPIMLIBS_KABC_LIBS}
        kgapi2
)

add_dependencies(staticmaps-example kgapi2)

## libkgapi 0.4.2

=== debian/changelog ===
libkgapi (0.4.2-0ubuntu1) quantal; urgency=low

  * New bugfix upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2012 00:33:51 +0100

libkgapi (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * Add a watch file.
  * Switch to debhelper compat level v9 which exports build flags.
    - Update symbol file.
  * Build for multiarch.
  * Pass --fail-missing to dh_install.

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 19 Jun 2012 10:24:59 +0200

libkgapi (0.4.0-0ubuntu3) quantal; urgency=low

  * Fix symbols to work on platforms other than amd64.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 18 Jun 2012 17:33:44 -0400

libkgapi (0.4.0-0ubuntu2) quantal; urgency=low

  * Add a symbols file for libkgapi0

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 18 Jun 2012 16:43:10 -0400

libkgapi (0.4.0-0ubuntu1) quantal; urgency=low

  * Initial release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 30 May 2012 20:10:27 -0400

=== debian/control ===
Source: libkgapi
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake,
 libqtwebkit-dev, kdelibs5-dev (>= 4:4.6.0), kdepimlibs5-dev (>= 4:4.5.63),
 libqjson-dev
Standards-Version: 3.9.3.1
Section: libs

Package: libkgapi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libkgapi0 (= ${binary:Version})
Description: Google API library for KDE -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 the LibKGAPI library.

Package: libkgapi0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Google API library for KDE
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains the LibKGAPI library.

Package: libkgapi0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libkgapi0 (= ${binary:Version})
Description: Google API library for KDE -- debugging symbols
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains the debugging symbols for the LibKGAPI library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=libkgapi0-dbg --with kde --parallel --fail-missing

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## libkgapi 0.4.4

=== debian/changelog ===
libkgapi (0.4.4-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Dec 2012 12:14:57 +0000

## libkgapi 2.0.1

=== debian/changelog ===
libkgapi (2.0.1-3) unstable; urgency=low

  * Team upload.
  * Add Vcs-* headers.
  * Link in as-needed mode.
  * Exclude kdepim-runtime from the shlibdeps, as this is a library (so its
    users will have the dependency) and it would prevent using it in
    kdepim-runtime itself.
  * Add Homepage header.
  * Do not force a multiarch library directory for installation, since kde4libs
    and kdepimlibs libraries are not multiarch (and probably will not be).

 -- Pino Toscano <pino@debian.org>  Wed, 04 Sep 2013 15:03:19 +0200

libkgapi (2.0.1-2) unstable; urgency=low

  * Added additional copyright owners to copyright file.
  * Upload to unstable.

 -- Michael Meskes <meskes@debian.org>  Sat, 13 Jul 2013 21:42:38 +0200

libkgapi (2.0.1-1) experimental; urgency=low

  * Imported Upstream version 2.0.1
  * Temporarily create kgapi1 and kgapi2 packages until KDE 4.11 hits Debian.

 -- Michael Meskes <meskes@debian.org>  Wed, 19 Jun 2013 09:32:10 +0200

libkgapi (0.4.4-1) experimental; urgency=low

  * Initial release (based on Ubuntu package)

 -- Michael Meskes <meskes@debian.org>  Tue, 14 May 2013 14:55:16 +0200

=== debian/control ===
Source: libkgapi
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake,
 libqtwebkit-dev, kdelibs5-dev (>= 4:4.6.0), kdepimlibs5-dev (>= 4:4.5.63),
 libqjson-dev
Standards-Version: 3.9.4
Section: libs
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libkgapi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libkgapi.git;a=summary
Homepage: https://projects.kde.org/libkgapi

Package: libkgapi-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkgapi1 (= ${binary:Version}), libkgapi2-2-dev (= ${binary:Version})
Description: Google API library for KDE version 1 -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 version 1 of the LibKGAPI library.

Package: libkgapi2-2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkgapi2-2 (= ${binary:Version})
Description: Google API library for KDE version 2 -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 version 2 of tthe LibKGAPI library.

Package: libkgapi1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Google API library for KDE version 1
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains the LibKGAPI library for API version 1 which is needed
 for KDE <= 4.10.

Package: libkgapi1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libkgapi1 (= ${binary:Version})
Description: Google API library for KDE -- debugging symbols
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains the debugging symbols for the LibKGAPI library.

Package: libkgapi2-2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Google API library for KDE version 2
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains the LibKGAPI library for API version 2 which is needed
 for KDE >= 4.11.

Package: libkgapi2-2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libkgapi2-2 (= ${binary:Version})
Description: Google API library for KDE version 2 -- debugging symbols
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains the debugging symbols for the LibKGAPI2 library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kde --parallel --fail-missing

override_dh_strip:
	dh_strip -O--dbg-package=libkgapi1-dbg -plibkgapi1 
	dh_strip -O--dbg-package=libkgapi2-2-dbg -plibkgapi2-2

override_dh_shlibdeps:
	dh_shlibdeps -- -xkdepim-runtime

## libkgapi 2.1.0

=== debian/changelog ===
libkgapi (2.1.0-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Update symbols
  * Drop libkgapi1*, no reverse depends
  * Update install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 12 Mar 2014 10:14:08 +0100

libkgapi (2.0.1-0ubuntu3) trusty; urgency=low

  * Add kubuntu_disable_tests.diff to remove tests which cause compile
    failure
  * Remove kubuntu_no_redeclaire.diff as it did not work

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 21 Nov 2013 17:38:32 +0000

libkgapi (2.0.1-0ubuntu2) trusty; urgency=low

  * Add kubuntu_no_redeclaire.diff to fix compile with gcc 4.8.1
  * In debian/rules override dh_shlibdeps to remove kdepim-runtime
    dependency

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Nov 2013 19:22:33 +0000

libkgapi (2.0.1-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Split packages into libkgapi1 and libkgapi2-2.
  * Update copyright information
  * Build with -DKDE4_BUILD_TESTS=TRUE so the tests can be run

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 02 Jul 2013 22:02:49 +0800

=== debian/control ===
Source: libkgapi
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake,
 libqtwebkit-dev, kdelibs5-dev (>= 4:4.6.0), kdepimlibs5-dev (>= 4:4.5.63),
 libqjson-dev, libboost1.54-dev
Standards-Version: 3.9.3.1
Section: libs

Package: libkgapi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libkgapi2-2 (= ${binary:Version})
Description: Google API library for KDE -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 the LibKGAPI library.

Package: libkgapi2-2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Google API library for KDE
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains the second version of the LibKGAPI library.

Package: libkgapi2-2-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libkgapi2-2 (= ${binary:Version})
Description: Google API library for KDE -- debugging symbols
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains the debugging symbols for the LibKGAPI library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kde --parallel --fail-missing

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) -DKDE4_BUILD_TESTS=TRUE

override_dh_shlibdeps:
	$(overridden_command) -- -xkdepim-runtime

override_dh_strip:
	dh_strip -plibkgapi2-2 --dbg-package=libkgapi2-2-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/libkgapi/([\d\.]+)/src/libkgapi-([\d\.]+)\.tar\.bz2

## libkgapi 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(libkgapi)
 
 set(KGAPI_VERSION_MAJOR 2)
-set(KGAPI_VERSION_MINOR 1)
+set(KGAPI_VERSION_MINOR 2)
 set(KGAPI_VERSION_RELEASE 0)
 set(KGAPI_VERSION "${KGAPI_VERSION_MAJOR}.${KGAPI_VERSION_MINOR}.${KGAPI_VERSION_RELEASE}")
 
@@ -10,11 +10,11 @@
 include(GenerateExportHeader)
 
 find_package(Qt4 4.7.0 REQUIRED QtCore QtWebKit QtNetwork QtXML QtTest)
-find_package(KDE4 4.6.0 REQUIRED)
+find_package(KDE4 4.12.0 REQUIRED)
 include(KDE4Defaults)
 include(MacroLibrary)
 
-find_package(KdepimLibs 4.11.40 REQUIRED)
+find_package(KdepimLibs 4.13.80 REQUIRED)
 
 find_package(QJSON REQUIRED)
 set_package_properties(QJSON PROPERTIES DESCRIPTION "Qt library for handling JSON data" URL "http://qjson.sourceforge.net/" TYPE REQUIRED PURPOSE "JSON response/request support")

=== debian/changelog ===
libkgapi (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 07:07:25 +0200

libkgapi (2.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 01 Aug 2014 13:07:07 +0200

libkgapi (2.1.80-0ubuntu1) utopic; urgency=medium

  * New upstream release required by kdepim-runtime 4.13.90 beta 2
  * Patched symbols with batchpatch
  * Updated install file.
  * Switch to using include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
    due to Depends field of package libkgapi2-2: unknown substitution variable ${shlibs:Depends}
    in rules.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 18 Jul 2014 18:36:40 -0700

libkgapi (2.1.1-2) unstable; urgency=medium

  * Add missing breaks/replaces for libkgapi2-2-dev. (Closes: #749525)
    Thanks to Holger Levsen.
  * Update symbols file with 2.1.1-1 build logs.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 May 2014 12:37:42 +0200

libkgapi (2.1.1-1) unstable; urgency=low

  [ Pino Toscano ]
  * Make libkgapi2-2-dev depend on kdepimlibs5-dev, as the former includes
    headers of Qt4, kdelibs and kdepimlibs in its public headers.

  [ Maximiliano Curia ]
  * New upstream release.
  * Update build-dependencies.
  * Add symbols file, synced from ubuntu package.
  * Remove libkgapi1, no rdeps.
  * Remove libkgapi2-2-dev, no rdeps.
  * Install in m-a paths, sync with ubuntu.
  * Update install files.
  * Update copyright file.
  * Add myself to the uploaders list.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 May 2014 15:06:10 +0200

libkgapi (2.1.1-0ubuntu2) utopic; urgency=high

  * Rebuild against boost1.55

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 22:09:56 +0100

libkgapi (2.1.1-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1314235)
    - Update symbols file
    - Update install file

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 29 Apr 2014 17:14:16 +0200

=== debian/control ===
Source: libkgapi
Priority: optional
Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.12.0),
               kdepimlibs5-dev (>= 4:4.13.80),
               libboost-dev,
               libqjson-dev,
               libqtwebkit-dev,
               pkg-kde-tools (>= 0.5.0)
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/libkgapi
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libkgapi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libkgapi.git;a=summary

Package: libkgapi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kdepimlibs5-dev, libkgapi2-2 (= ${binary:Version}), ${misc:Depends}
Breaks: libkgapi2-2-dev (<< 2.1.1)
Replaces: libkgapi2-2-dev (<< 2.1.1)
Description: Google API library for KDE -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 the LibKGAPI library.

Package: libkgapi2-2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Google API library for KDE
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains the LibKGAPI library for API version 2 which is needed
 for KDE >= 4.11.

Package: libkgapi2-2-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkgapi2-2 (= ${binary:Version}), ${misc:Depends}
Description: Google API library for KDE -- debugging symbols
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains the debugging symbols for the LibKGAPI library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) -DKDE4_BUILD_TESTS=TRUE

override_dh_shlibdeps:
	$(overridden_command) -- -xkdepim-runtime

override_dh_strip:
	$(overridden_command) -plibkgapi2-2 --dbg-package=libkgapi2-2-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/libkgapi/([\d.]+)/src/libkgapi-([\d.]+)\.tar\.bz2

## libkgapi 5.0.0

=== debian/changelog ===
libkgapi (5.0.0-0ubuntu3) wily; urgency=medium

  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Aug 2015 14:51:15 +0100

libkgapi (5.0.0-0ubuntu2) wily; urgency=medium

  * Add build-dep on qttools5-dev, qttools5-dev-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2015 12:24:57 +0100

libkgapi (5.0.0-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port
    - remove all previous packages
    - new packages:
      + libkf5gapi*5 for all libraries
      + libkf5gapi-dev
      + libkf5gapi-data (depended on by all libs, contains debug settings
         category)
      + libkf5gapi-dbg

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2015 11:32:14 +0100

=== debian/control ===
Source: libkgapi
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kio-dev,
               libkf5calendarcore-dev,
               libkf5contacts-dev,
               libkf5coreaddons-dev,
               libkf5windowsystem-dev,
               libqt5webkit5-dev,
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Section: libs
Homepage: https://projects.kde.org/libkgapi
Vcs-Git: git://anonscm.debian.org/pkg-kde/kubuntu/libkgapi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kubuntu/libkgapi.git;a=summary

Package: libkf5gapi-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5calendarcore-dev,
         libkf5contacts-dev,
         libkf5coreaddons-dev,
         libkf5gapiblogger5 (= ${binary:Version}),
         libkf5gapicalendar5 (= ${binary:Version}),
         libkf5gapicontacts5 (= ${binary:Version}),
         libkf5gapicore5 (= ${binary:Version}),
         libkf5gapidrive5 (= ${binary:Version}),
         libkf5gapilatitude5 (= ${binary:Version}),
         libkf5gapimaps5 (= ${binary:Version}),
         libkf5gapitasks5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Google API library for KDE -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 the LibKGAPI library.

Package: libkf5gapi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Google API library for KDE -- data files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains data files.

Package: libkf5gapiblogger5
Architecture: any
Multi-Arch: same
Depends: libkf5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Blogger service API
 This package is part of libkgapi.

Package: libkf5gapicalendar5
Architecture: any
Multi-Arch: same
Depends: libkf5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Calendar service API
 This package is part of libkgapi.

Package: libkf5gapicontacts5
Architecture: any
Multi-Arch: same
Depends: libkf5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Contacts service API
 This package is part of libkgapi.

Package: libkf5gapicore5
Architecture: any
Multi-Arch: same
Depends: libkf5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: core library to integrate with Google service APIs
 This package is part of libkgapi.

Package: libkf5gapidrive5
Architecture: any
Multi-Arch: same
Depends: libkf5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Drive service API
 This package is part of libkgapi.

Package: libkf5gapilatitude5
Architecture: any
Multi-Arch: same
Depends: libkf5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Latitude service API
 This package is part of libkgapi.

Package: libkf5gapimaps5
Architecture: any
Multi-Arch: same
Depends: libkf5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Maps service API
 This package is part of libkgapi.

Package: libkf5gapitasks5
Architecture: any
Multi-Arch: same
Depends: libkf5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Tasks service API
 This package is part of libkgapi.

Package: libkf5gapi-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5gapiblogger5 (= ${binary:Version}) | libkf5gapimaps5 (= ${binary:Version}) | libkf5gapicalendar5 (= ${binary:Version}) | libkf5gapicontacts5 (= ${binary:Version}) | libkf5gapicore5 (= ${binary:Version}) | libkf5gapidrive5 (= ${binary:Version}) | libkf5gapilatitude5 (= ${binary:Version}) | libkf5gapimaps5 (= ${binary:Version}) | libkf5gapitasks5 (= ${binary:Version}),
         ${misc:Depends}
Description: Google API library for KDE -- debugging symbols
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains the debugging symbols for the LibKGAPI library.
